<!DOCTYPE html>

<html>
    <head>
        <meta charset="utf-8">
        <title>CRC</title>
    </head>
    <body>
        <script type="text/javascript">
		function convert(txt) {

		var cut = (txt.charCodeAt(0))%256;

	   	var oct = cut.toString(2);

	   	var binary = "00000000".substr(oct.length) + oct;
	   	
	   	return binary;

		}

            function toBin(txt) {

                var result = [];

                // var tab = [];

                while (txt.length < 8) {

                    txt += String.fromCharCode(0);

                }

                for (i = 0; i < 8; i++) {

                    result.push(convert(txt[i]));

                }
               

               var col = [];
               var C = 0;

               for (var n = 0; n < 8; n++){

               	for (var m = 0; m < 8; m++){

               		C += parseInt(result[m].charAt(n));
               	}

               	C = C % 2;
               	col.push(C);
               	C = 0;
               }


               var line = [];
               var L = 0;

               for (var o = 0; o < 8; o++){

               	for (var p = 0; p < 8; p++){

               		L += parseInt(result[o].charAt(p));
               	}

               	L = L % 2;
               	line.push(L);
               	L = 0;
               }

               console.log("Ligne:" + line);
               console.log("Colonne:" + col);

               return result;
}


        </script>
    
</html>